%define upstream_name Structures_DataGrid
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.1dev1
Release:     	%mkrel 1
Summary:    	Render a data table with automatic pagination and sorting
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Structures_DataGrid-%{version}.tgz
URL: 		http://pear.php.net/package/Structures_DataGrid
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
This package provides a toolkit to generate data tables in HTML, CSV,
 Excel, XML, Smarty, and other formats.  
 It retrieves data from a variety of data sources, including SQL, CSV,
 XML, PDO, DB_DataObject, DB_Table, and others.
 It can transparently page and sort the data, through optimized database
 queries, by parsing/generating GET, POST requests and REST-like urls.
 It is designed with modularity and extensibility in mind, using drivers
 for all rendering and datasource formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Structures_DataGrid.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Structures_DataGrid.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Structures_DataGrid
fi

%files
%defattr(-,root,root)
%doc docs/Structures_DataGrid/*
%{peardir}/*
%{xmldir}/Structures_DataGrid.xml


%changelog

* Sat Jan 14 2012 spuhler <spuhler> 0.9.1dev1-1.mga2
+ Revision: 196096
- upgrade to 0.9.1dev
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.8.3-6.mga1
+ Revision: 44310
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Structures_DataGrid

